Subject: New Organic Growing Web Site

From: [email-masked] (Colin Shaw)
Date: 17 Oct 1996 08:48:58 GMT

I have launched a new version of the Organic Growing web site at: 

http://www.midnet.com/midnet/organic/

The aim is to provide practical resources for organic growers. The site
inlcludes a monthly tips/things to do page plus details of DIY projects 
and links to other gardening, organic, permaculture and food sites.

Colin Shaw
[email-masked]